TSPIN(1)

NAME
tspin - A log file highlighter

SYNOPSIS

tspin [OPTION]... [FILE]...

DESCRIPTION

tailspin is a command line tool that highlights log files.

OPTIONS

-f, --follow
    Follow (tail) the contents of the file. Always true when using the --follow-command flag.

-p, --print
    Print the output to stdout instead of viewing the contents in the pager less. Always true if using stdin.

--config-path CONFIG_PATH
    Specify the path to a custom configuration file. Defaults to XDG_CONFIG_HOME/tailspin/theme.toml or ~/.config/tailspin/theme.toml if not set.

-e, --exec COMMAND
    Run command and view the output in a pager. The command traps the interrupt signal to allow for cancelling and resuming follow mode while inside less.

    Example:

        tspin --listen-command 'kubectl logs -f pod_name'

--highlight COLOR1:word1,word2,... COLOR2:word3,word4,...
    Highlight the provided comma-separated words in the specified color. Possible colors are red, green, yellow, blue, magenta, and cyan.

    Example:

        tspin logfile.txt --highlight red:error,fail --highlight green:success,ok

--enable=[HIGHLIGHT_GROUP]
    Disable all highlighting groups except the ones specified. Comma separated list of groups. Cannot be used with --disable=[HIGHLIGHT_GROUP].

--disable=[HIGHLIGHT_GROUP]
    Disable the specified highlighting groups. Comma separated list of groups. Cannot be used with --enable=[HIGHLIGHT_GROUP].

--disable-builtin-keywords
    Disables the highlighting of all builtin keyword groups (booleans, severity and REST).

ENVIRONMENT VARIABLES

TAILSPIN_PAGER
    Set the TAILSPIN_PAGER environment variable to override the default pager. The command must include the string [FILE] which will be replaced with the file path internally. For example, "ov -f [FILE]".

SEE ALSO

less(1), tail(1)

ABOUT

Ben Sadeh (github.com/bensadeh/tailspin)

Released under the MIT License